Name:           maven-shared-jar
Version:        1.2
Release:        %mkrel 5
# Maven-shared defines maven-shared-jar version as 1.1
Epoch:          1
Summary:        Maven JAR Utilities
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-shared-jar
Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:bcel-findbugs)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(org.apache.maven:maven-artifact:2.2.1)
BuildRequires:  mvn(org.apache.maven:maven-model:2.2.1)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-digest)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

Obsoletes:      maven-shared-jar < %{epoch}:%{version}-%{release} 
Provides:       maven-shared-jar = %{epoch}:%{version}-%{release}

%description
Utilities that help identify the contents of a JAR, including Java class
analysis and Maven metadata analysis.

This is a replacement package for maven-shared-jar

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.


%prep
%setup -q

find -type f -iname '*.jar' -delete

%build
# Tests require the jars that were removed
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Mon May 15 2017 neoclust <neoclust> 1:1.2-5.mga6
+ Revision: 1101384
- Rebuild maven-* packages
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 1:1.2-3.mga6
+ Revision: 980857
- First rebuild of the java stack
- sync package maven-shared-jar with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1:1.1-9.mga5
+ Revision: 806233
- Fix BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1-8.mga5
+ Revision: 742438
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1:1.1-6.mga5
+ Revision: 630523
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 1:1.1-3.mga4
+ Revision: 529801
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 dmorgan <dmorgan> 1:1.1-2.mga4
+ Revision: 453508
- imported package maven-shared-jar


* Wed Jan 23 2013 Tomas Radej <tradej@redhat.com> - 1:1.1-2
- Removed jars and skipped tests

* Tue Jan 15 2013 Tomas Radej <tradej@redhat.com> - 1:1.1-1
- Initial version

